org.richfaces.component

## Class AbstractInputNumberSlider

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIInputNumber
          - - org.richfaces.component.AbstractInputNumberSlider

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AccesskeyProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps
  Direct Known Subclasses:
    HtmlInputNumberSlider

      public abstract class AbstractInputNumberSlider
      extends UIInputNumber
      implements AccesskeyProps, CoreProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps

  The &lt;r:inputNumberSlider&gt; component provides a slider for changing numerical values. Optional features include control arrows to step through the values, a tool-tip to display the value while sliding, and a text field for typing the numerical value which can then be validated against the slider's range.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInputNumberSlider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getDecreaseClass()` Assigns one or more space-separated CSS class names to the decrease arrow element
    `abstract String` | `getDecreaseSelectedClass()` Assigns one or more space-separated CSS class names to the decrease arrow element selected
    `abstract int` | `getDelay()` Delay in pressed increase/decrease arrows in miliseconds.
    `abstract String` | `getHandleClass()` Assigns one or more space-separated CSS class names to the handle element
    `abstract String` | `getHandleSelectedClass()` Assigns one or more space-separated CSS class names to the handle element selected
    `abstract InputNumberSliderHandleType` | `getHandleType()` Tells how handle should look like.
    `abstract String` | `getIncreaseClass()` Assigns one or more space-separated CSS class names to the increase arrow element
    `abstract String` | `getIncreaseSelectedClass()` Assigns one or more space-separated CSS class names to the increase arrow element selected
    `abstract String` | `getInputClass()` Assigns one or more space-separated CSS class names to the component input field
    `abstract InputNumberSliderInputPosition` | `getInputPosition()` If "right", the InputText Box would be rendered on the right side of the ruler.
    `abstract int` | `getInputSize()` Similar to the "Size" attribute of h:inputText.
    `abstract Integer` | `getMaxlength()` Specifies the maximum number of digits that could be entered into the input field.
    `abstract String` | `getMaxValue()` Attribute to set an "end" value.
    `abstract String` | `getMinValue()` Attribute to set the "start" value.
    `abstract String` | `getStep()` Parameter that determines a step between the nearest values while using a handle.
    `abstract String` | `getTooltipClass()` Assigns one or more space-separated CSS class names to the tooltip element of the handle
    `abstract String` | `getTrackClass()` Assigns one or more space-separated CSS class names to the track slider element
    `abstract boolean` | `isEnableManualInput()` If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle.
    `abstract boolean` | `isReadonly()` Flag indicating that this component will prohibit changes by the user.
    `abstract boolean` | `isShowArrows()` False value for this attribute makes increase/decrease arrows invisible.
    `abstract boolean` | `isShowBoundaryValues()` If the min/max values are shown on the right/left borders of a control.
    `abstract boolean` | `isShowInput()` False value for this attribute makes text a field invisible.
    `abstract boolean` | `isShowTooltip()` If "true"the current value is shown in the tooltip when a handle control is in a "dragged" state.

    - ### Methods inherited from class org.richfaces.component.UIInputNumber

      `validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.AccesskeyProps

      `getAccesskey`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.FocusProps

      `getOnblur, getOnfocus, getTabindex`

    - ### Methods inherited from interface org.richfaces.component.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.component.attribute.InputProps

      `getLabel, getOnchange, getOnselect`

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractInputNumberSlider

          public AbstractInputNumberSlider()

  - ### Method Detail

    - #### isReadonly

          public abstract boolean isReadonly()

      Description copied from interface: `InputProps`
      Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".
      Specified by:
        `isReadonly` in interface `InputProps`

    - #### getDecreaseClass

          public abstract String getDecreaseClass()

      Assigns one or more space-separated CSS class names to the decrease arrow element

    - #### getDecreaseSelectedClass

          public abstract String getDecreaseSelectedClass()

      Assigns one or more space-separated CSS class names to the decrease arrow element selected

    - #### getDelay

          public abstract int getDelay()

      Delay in pressed increase/decrease arrows in miliseconds. <br />Default value is "200".

    - #### isEnableManualInput

          public abstract boolean isEnableManualInput()

      If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle. <br />Default value is "true".

    - #### getHandleClass

          public abstract String getHandleClass()

      Assigns one or more space-separated CSS class names to the handle element

    - #### getHandleSelectedClass

          public abstract String getHandleSelectedClass()

      Assigns one or more space-separated CSS class names to the handle element selected

    - #### getIncreaseClass

          public abstract String getIncreaseClass()

      Assigns one or more space-separated CSS class names to the increase arrow element

    - #### getIncreaseSelectedClass

          public abstract String getIncreaseSelectedClass()

      Assigns one or more space-separated CSS class names to the increase arrow element selected

    - #### getInputClass

          public abstract String getInputClass()

      Assigns one or more space-separated CSS class names to the component input field

    - #### getInputPosition

          public abstract InputNumberSliderInputPosition getInputPosition()

      If "right", the InputText Box would be rendered on the right side of the ruler. If "left", the InputText Box would be rendered on the left side of the ruler. If "top", the InputText Box would be rendered on the top of the ruler. If "bottom", the InputText Box would be rendered on the bottom of the ruler.

    - #### getInputSize

          public abstract int getInputSize()

      Similar to the "Size" attribute of h:inputText.
      Default value is "3".

    - #### getMaxValue

          public abstract String getMaxValue()

      Attribute to set an "end" value.
      Default value is "100"

    - #### getMaxlength

          public abstract Integer getMaxlength()

      Specifies the maximum number of digits that could be entered into the input field. The maximum number is unlimited by default. If entered value exceeds the value specified in "maxValue" attribute than the slider takes a maximum value position.

    - #### getMinValue

          public abstract String getMinValue()

      Attribute to set the "start" value.
      Default value is "0"

    - #### isShowArrows

          public abstract boolean isShowArrows()

      False value for this attribute makes increase/decrease arrows invisible.
      Default value is "false".

    - #### isShowBoundaryValues

          public abstract boolean isShowBoundaryValues()

      If the min/max values are shown on the right/left borders of a control.
      Default value is "true".

    - #### isShowInput

          public abstract boolean isShowInput()

      False value for this attribute makes text a field invisible.
      Default value is "true".

    - #### isShowTooltip

          public abstract boolean isShowTooltip()

      If "true"the current value is shown in the tooltip when a handle control is in a "dragged" state.
      Default value is "true".

    - #### getStep

          public abstract String getStep()

      Parameter that determines a step between the nearest values while using a handle.
      Default value is "1".

    - #### getTooltipClass

          public abstract String getTooltipClass()

      Assigns one or more space-separated CSS class names to the tooltip element of the handle

    - #### getTrackClass

          public abstract String getTrackClass()

      Assigns one or more space-separated CSS class names to the track slider element

    - #### getHandleType

          public abstract InputNumberSliderHandleType getHandleType()

      Tells how handle should look like. Possible values: arrow (default), bar

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.